Bug 124181 - [patch] enable audio/flac WITHOUT_ICONV
Summary: [patch] enable audio/flac WITHOUT_ICONV
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Christian Weisgerber
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-01 09:30 UTC by Helge Oldach
Modified: 2008-07-05 17:30 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (799 bytes, patch)
2008-06-01 09:30 UTC, Helge Oldach
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Helge Oldach 2008-06-01 09:30:03 UTC
audio/flac can work without libiconv installed (for those who want to
avoid linkage and dependency bloat).
Comment 1 Edwin Groothuis freebsd_committer 2008-06-01 09:30:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->naddy

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Christian Weisgerber freebsd_committer 2008-06-18 16:42:25 UTC
State Changed
From-To: open->feedback

I'm reluctant to add extra knobs to ports without pressing reasons. 
They add configurations that require additional testing.  They also 
may have unexpected effects on ports further down the dependency 
chain which are usually only checked against the standard install 
of their dependency. 

Only a small number of ports have WITH(OUT)_ICONV knobs and iconv() 
is a POSIX interface whose lack in base is something of an 
embarrassment.
Comment 3 Helge Oldach 2008-06-20 10:11:57 UTC
naddy@FreeBSD.org wrote on Wed, 18 Jun 2008 17:45:16 +0200 (CEST):
> I'm reluctant to add extra knobs to ports without pressing reasons.
> They add configurations that require additional testing.  They also
> may have unexpected effects on ports further down the dependency
> chain which are usually only checked against the standard install
> of their dependency.

I tend to agree here...

> Only a small number of ports have WITH(OUT)_ICONV knobs and iconv()
> is a POSIX interface whose lack in base is something of an
> embarrassment.

On one hand, yes. On the other hand the fact that iconv is not part of
the base system is a clear statement that we consider it optional.
So we should handle it in ports as well.

There are ports which *require* libiconv - they won't work without
(gettext for example), so they have an explicit dependency.

Other ports implicitely use iconv when it's present, so they create sort
of a hidden dependency. This is a bad thing that we should avoid. Hence
the USE_ICONV knob.

I would propose to either USE_ICONV or add a WITHOUT_ICONV configuration
knob to make it very clear.

Helge
Comment 4 dfilter service freebsd_committer 2008-07-05 17:24:18 UTC
naddy       2008-07-05 16:24:10 UTC

  FreeBSD ports repository

  Modified files:
    audio/flac           Makefile 
  Log:
  Add WITHOUT_ICONV knob.  Use at your own peril.
  
  PR:             124181
  Submitted by:   Helge Oldach
  
  Revision  Changes    Path
  1.44      +7 -2      ports/audio/flac/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Christian Weisgerber freebsd_committer 2008-07-05 17:24:24 UTC
State Changed
From-To: feedback->closed

Committed.  I still don't like it, though.